import { getInfo } from '~/api/user'
const user = {
  state: {
    userInfo: {},
  },

  mutations: {
    SET_USER: (state, user) => {
      state.userInfo = user
    },
  },

  actions: {
    GetInfo({ commit }) {
      return new Promise((resolve, reject) => {
        getInfo().then(res => {
          setUserInfo(res.data, commit)
          commit('SET_USER', res.data)
          resolve(res)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export const setUserInfo = (res, commit) => {
  commit('SET_USER', res)
}

export default user
